import { sidePanelVariants } from "./variants"

import styles from "./sidePanel.module.css"

import type { SidePanelProps } from "@/types/components/hotelReservation/sidePanel"

export default function SidePanel({
  children,
  variant,
}: React.PropsWithChildren<SidePanelProps>) {
  const classNames = sidePanelVariants({ variant })
  return (
    <div className={classNames}>
      <div className={styles.hider} />
      <div className={styles.wrapper}>{children}</div>
      <div className={styles.shadow} />
    </div>
  )
}
